/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: ilook.c 1.1 90/01/19 $@(#)/usr/lib/setterm/ilook 1.0 1986/12 AT&T-UP"

/*
 * ilook.c
 *
 * Return the name of the module immediately below the Stream Head.
 * Exit val is 0 on success, 1 if no modules or other error.
 */

#include <stropts.h>

char buf[256];
int name;

main()
{
	buf[0] = '\0';
	if ((name = ioctl(0, I_LOOK, buf)) < 0) {
		printf("(null)\n");
		exit(1);
	}
	else
		printf("%s\n", buf);
	exit(0);
}
